; WillPang.nsi
;
; This script was adapted from example2.nsi that came with Nullsoft NSIS
;
; Edited by William Denniss

; The name of the installer
Name "WillPang Jukebox"

; The file to write
OutFile "WillPangJukebox.exe"

;Set the installation icon
Icon ../../tsins.ico

;Set the uninstall icon
UninstallIcon ../../tsunins.ico

;Set Selected picture
EnabledBitmap ../../sel.bmp

;Set unselected picture
DisabledBitmap ../../unsel.bmp

;show the details while installing
ShowInstDetails show

LicenseText "You must agree to this license before you continue"
LicenseData ../../license.txt



; The default installation directory
InstallDir $PROGRAMFILES\TankSoftware\WillPang\Jukebox
; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM "SOFTWARE\WillPang Jukebox" "Install_Dir"

; The text to prompt the user to enter a directory
ComponentText "This will install the WillPang Jukebox.  Please choose whether or not you want shortcuts to be added to the start menu."
; The text to prompt the user to enter a directory
DirText "Choose where you want the program to be installed.  It is recommended that you don't change it from the default directory."

; The stuff to install
Section "WillPang Jukebox (required)"

	MessageBox MB_OK "Please note:  You must install the browser ST Sound plugin for this program to work correctly."


  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  ; Put file there
	File "WillPang.ico"
	File "jukebox.html"
	File "launcher.html"
	File "Pang_01.ym"
	File "Pang_02.ym"
	File "Pang_03.ym"
	File "Pang_04.ym"
	File "Pang_05.ym"
	File "Pang_06.ym"
	File "Pang_07.ym"
	File "Pang_08.ym"
	File "Pang_09.ym"
	File "Pang_10.ym"
	File "Pang_11.ym"
	File "Pang_12.ym"
	File "Pang_13.ym"
	File "Pang_14.ym"
	File "Pang_15.ym"
	File "Pang_16.ym"
	File "Pang_17.ym"
	File "WillPang.gif"




  ; Write the installation path into the registry
  WriteRegStr HKLM "SOFTWARE\WillPang Jukebox" "Install_Dir" "$INSTDIR"

SectionEnd

; optional section
Section "Start Menu Shortcuts"
  CreateDirectory "$SMPROGRAMS\Tank Software\WillPang"
  CreateShortCut "$SMPROGRAMS\Tank Software\WillPang\WillPang Jukebox.lnk" "$INSTDIR\launcher.html" "" "$INSTDIR\WillPang.ico"
SectionEnd


; eof
